PlatformIO Community

Upload error m5stack core2

I have only recently become involved with Prlatformio IDE. (I am not very familiar with it).
I have already searched a lot on the internet, but unfortunately could not find anything.
can someone explain me how to solve my problem?
I really need a step by step explanation.

Unbenannt

    PS C:\m5stack_co2_sensor_richtig\co2-sensor> pio run -t upload --upload-port COM10
Processing m5stack-core-esp32 (platform: espressif32@2.1.0; board: m5stack-core-esp32; framework: arduino)
---------------------------------------------------------------------------------------------Verbose mode can be enabled via `-v, --verbose` option
CONFIGURATION: https://docs.platformio.org/page/boards/espressif32/m5stack-core-esp32.html
PLATFORM: Espressif 32 (2.1.0) > M5Stack Core ESP32
HARDWARE: ESP32 240MHz, 320KB RAM, 4MB Flash
DEBUG: Current (esp-prog) External (esp-prog, iot-bus-jtag, jlink, minimodule, olimex-arm-usb-ocd, olimex-arm-usb-ocd-h, olimex-arm-usb-tiny-h, olimex-jtag-tiny, tumpa)
PACKAGES:
 - framework-arduinoespressif32 3.10004.210126 (1.0.4)
 - tool-esptoolpy 1.30000.201119 (3.0.0)
 - tool-mkspiffs 2.230.0 (2.30)
 - toolchain-xtensa32 2.50200.97 (5.2.0)
LDF: Library Dependency Finder -> https://bit.ly/configure-pio-ldf
LDF Modes: Finder ~ chain, Compatibility ~ soft
Library Manager: Installing git+https://github.com/m5stack/M5Core2.git @ 0.0.6
git version 2.34.0.windows.1
Cloning into 'C:\Users\jurid\.platformio\.cache\tmp\pkg-installing-4o11j6sn'...
PackageException: Package version 0.0.9+sha.9f7c030 doesn't satisfy requirements 0.0.6 based 
on PackageMetaData <type=library name=M5Core2 version=0.0.9+sha.9f7c030 spec={'owner': None, 
'id': None, 'name': 'M5Core2', 'requirements': '0.0.6', 'url': 'git+https://github.com/m5stack/M5Core2.git'}:
  File "C:\Users\jurid\.platformio\penv\Lib\site-packages\platformio\builder\main.py", line 180:
    env.SConscript("$BUILD_SCRIPT")
  File "C:\Users\jurid\.platformio\packages\tool-scons\scons-local-4.2.0\SCons\Script\SConscript.py", line 597:
    return _SConscript(self.fs, *files, **subst_kw)
  File "C:\Users\jurid\.platformio\packages\tool-scons\scons-local-4.2.0\SCons\Script\SConscript.py", line 285:
    exec(compile(scriptdata, scriptname, 'exec'), call_stack[-1].globals)
  File "C:\Users\jurid\.platformio\platforms\espressif32@2.1.0\builder\main.py", line 224:   
    target_elf = env.BuildProgram()
  File "C:\Users\jurid\.platformio\packages\tool-scons\scons-local-4.2.0\SCons\Util.py", line 748:
    return self.method(*nargs, **kwargs)
  File "C:\Users\jurid\.platformio\penv\Lib\site-packages\platformio\builder\tools\platformio.py", line 62:
    env.ProcessProjectDeps()
  File "C:\Users\jurid\.platformio\packages\tool-scons\scons-local-4.2.0\SCons\Util.py", line 748:
    return self.method(*nargs, **kwargs)
  File "C:\Users\jurid\.platformio\penv\Lib\site-packages\platformio\builder\tools\platformio.py", line 141:
    project_lib_builder = env.ConfigureProjectLibBuilder()
  File "C:\Users\jurid\.platformio\packages\tool-scons\scons-local-4.2.0\SCons\Util.py", line 748:
    return self.method(*nargs, **kwargs)
  File "C:\Users\jurid\.platformio\penv\Lib\site-packages\platformio\builder\tools\piolib.py", line 1104:
    project.install_dependencies()
  File "C:\Users\jurid\.platformio\penv\Lib\site-packages\platformio\builder\tools\piolib.py", line 940:
    lm.install(spec)
  File "C:\Users\jurid\.platformio\penv\lib\site-packages\platformio\package\manager\_install.py", line 48:
  File "C:\Users\jurid\.platformio\penv\lib\site-packages\platformio\package\manager\library.py", line 93:
    return super(LibraryPackageManager, self)._install(
  File "C:\Users\jurid\.platformio\penv\lib\site-packages\platformio\package\manager\_install.py", line 97:
    pkg = self.install_from_url(spec.url, spec, silent=silent)
  File "C:\Users\jurid\.platformio\penv\lib\site-packages\platformio\package\manager\_install.py", line 152:
    return self._install_tmp_pkg(pkg_item)
  File "C:\Users\jurid\.platformio\penv\lib\site-packages\platformio\package\manager\_install.py", line 167:
    raise PackageException(
================================ [FAILED] Took 9.20 seconds ================================

this is the project in question:

This is not valid per docs – with Git repos you can use #<commit hash or tag> at the end, but not an @0.0.6 version number. You should replace this line with

   m5stack/M5Core2 @ 0.0.6

so that it’s pulled from the PlatformIO library registry, or, if you really want to use the Git repo, use the correct form

    	https://github.com/m5stack/M5Core2.git#0.0.6

to reference the 0.0.6 tag (https://github.com/m5stack/M5Core2/tree/0.0.6).

thank you very much for the quick answer!
The problem was fixed.

but now there is another error.
WIN_20211125_21_28_51_Pro

Yeah, Mac OS drivers seem to be broken, see TTGO T3 with WCH CH9102F USB Modem won't flash in Mac OS! - #9 by manuelbl. Don’t know much about Macs. Does it upload with the Arduino IDE?

no it can not upload anything.
but when monitoring it sees him.